Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class ResultSetMappingBinder

    java.lang.Object
      org.hibernate.cfg.ResultSetMappingBinder

Direct Known Subclasses:
  NamedSQLQuerySecondPass, ResultSetMappingSecondPass

    public abstract class ResultSetMappingBinder

extends Object

Author:
  Emmanuel Bernard

Constructor Summary
`ResultSetMappingBinder()`

Method Summary
`protected static ResultSetMappingDefinition` | `buildResultSetMappingDefinition(org.dom4j.Element resultSetElem, String path, Mappings mappings)` Build a ResultSetMappingDefinition given a containing element for the "return-XXX" elements

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetMappingBinder

    public ResultSetMappingBinder()

Method Detail

### buildResultSetMappingDefinition

    protected static ResultSetMappingDefinition buildResultSetMappingDefinition(org.dom4j.Element resultSetElem,
                                                                                String path,
                                                                                Mappings mappings)

  Build a ResultSetMappingDefinition given a containing element for the "return-XXX" elements

  Parameters:
    `resultSetElem` - The element containing the return definitions.
    `path` - No clue...
    `mappings` - The current processing state.
  Returns:
    The description of the mappings...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.